#include <Evas.h>
#include <Ecore.h>
#include <Ecore_Evas.h>
#include <Emotion.h>

Evas_Object *video;

/* the main function of the program */
int main(int argc, char **argv)
{
   Ecore_Evas *ee;

   /* create a canvas, display it, set  */
   ecore_evas_init();
   ee = ecore_evas_software_x11_new(NULL, 0, 0, 0, 800, 600);
   ecore_evas_show(ee);

   /* create a video object */
   video = emotion_object_add(ecore_evas_get(ee));
   emotion_object_file_set(video, "dvd:/");
   emotion_object_play_set(video, 1);
   evas_object_resize(video, 800, 600);
   evas_object_show(video);

   /* run the main loop of the program - playing, drawing, handling events */
   ecore_main_loop_begin();
   
   /* if we exit the main loop we will shut down */
   ecore_evas_shutdown();
}
